import request from '@/utils/request'

//获取未建档非线性用户录入及查询数据
export function getUndocumentednonlinearData() {
    return request({
        url: '/Process-supervision/Undocumentednonlinear/getUndocumentednonlinear',
        method: 'get'
    })
}
//获取入网评估报告审核数据
export function getReportreviewData() {
    return request({
        url: '/Process-supervision/Reportreview/getReportreview',
        method: 'get'
    })
}

//获取干扰源用户常态化管理数据
export function getNormalizedmanagementData() {
    return request({
        url: '/Process-supervision/Normalizedmanagement/getNormalizedmanagement',
        method: 'get'
    })
}
//获取实测报告审核数据
export function getMeasurementreportData() {
    return request({
        url: '/Process-supervision/Measurementreport/getMeasurementreport',
        method: 'get'
    })
}
export function addLoadTypeUser(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/addLoadTypeUser',
        method: 'post',
        data
    })
}
export function getLoadTypeUserList(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/getLoadTypeUserList',
        method: 'post',
        data
    })
}
export function getPowerClientList(data) {
    return request({
        url: '/device-boot/pms/powerClient/getPowerClientList',
        method: 'post',
        data
    })
}
export function getPowerGenerationUserList(data) {
    return request({
        url: '/device-boot/pms/powerGenerationUser/getPowerGenerationUserList',
        method: 'post',
        data
    })
}
export function linkUser(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/linkUser',
        method: 'post',

        data
    })
}
export function uploadLoadTypeUserI(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/uploadLoadTypeUserI',
        method: 'post',
        headers: { 'Content-Type': 'multipart/form-data' },
        data
    })
}

//提交审核
export function submitAuditUser(data) {
    return request({
        url: "/process-boot/loadTypeUserManage/submitAuditUser",
        method: "post",
        data,
    });
}

export function getLoadTypeUserById(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/getLoadTypeUserById',
        method: 'get',
        params: data
    })
}

export function delLoadTypeUserPlan(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/delLoadTypeUserPlan',
        method: 'post',
        data
    })
}

export function exportLoadTypeUserList(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/exportLoadTypeUserList',
        method: 'post',
        data,
        responseType: 'blob'

    })
}
export function exportLoadTypeRelationList(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/exportLoadTypeRelationList',
        method: 'post',
        data,
        responseType: 'blob'

    })
}
export function getLoadTypeRelationList(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/getLoadTypeRelationList',
        method: 'post',
        data,


    })
}
export function uploadLoadTypeUserA(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/uploadLoadTypeUserA',
        method: 'post',
        headers: { 'Content-Type': 'multipart/form-data' },
        data,


    })
}
export function checkLoadTypeUserI(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/checkLoadTypeUserI',
        method: 'post',
        data,
    })
}
export function checkLoadTypeUserA(data) {
    return request({
        url: '/process-boot/loadTypeUserManage/checkLoadTypeUserA',
        method: 'post',
        data,
    })
}


